# CEGUI::Scheme_xmlHandler Class Reference

Handler class used to parse the Scheme XML files using SAX2. More...

Collaboration diagram for CEGUI::Scheme_xmlHandler:

[legend]
List of all members.

## Public Member Functions

| Scheme_xmlHandler (Scheme *scheme)
| Constructor for Scheme::xmlHandler objects.
virtual | ~Scheme_xmlHandler (void)
| Destructor for Scheme::xmlHandler objects.
virtual void | elementStart (const String &element, const XMLAttributes &attributes)
| document processing (only care about elements, schema validates format)
virtual void | elementEnd (const String &element)

## Detailed Description

Handler class used to parse the Scheme XML files using SAX2.

## Constructor & Destructor Documentation

CEGUI::Scheme_xmlHandler::Scheme_xmlHandler | ( | Scheme * | scheme | ) | `[inline]`

Constructor for Scheme::xmlHandler objects.

Parameters:

  | scheme | Pointer to the Scheme object creating this xmlHandler object